Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.common.persistence
Class XStreamSolutionDao

    java.lang.Object
      org.optaplanner.examples.common.persistence.XStreamSolutionDao

All Implemented Interfaces:
  SolutionDao

Direct Known Subclasses:
  CloudBalancingDao, CurriculumCourseDao, ExaminationDao, MachineReassignmentDao, Manners2009Dao, NQueensDao, NurseRosteringDao, PatientAdmissionScheduleDao, ProjectJobSchedulingDao, TravelingTournamentDao, TspDao, VehicleRoutingDao

    public abstract class XStreamSolutionDao

extends Object
implements SolutionDao

Field Summary
`protected org.slf4j.Logger` | `logger`

Constructor Summary
`XStreamSolutionDao(String dirName, Class... xstreamAnnotations)`

Method Summary
`File` | `getDataDir()`
`String` | `getDirName()`
`String` | `getFileSuffix()`
`protected void` | `postRead(Solution solution)`
`Solution` | `readSolution(File inputSolutionFile)`
`void` | `writeSolution(Solution solution, File outputSolutionFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

Constructor Detail

### XStreamSolutionDao

    public XStreamSolutionDao(String dirName,
                              Class... xstreamAnnotations)

Method Detail

### getDirName

    public String getDirName()

  Specified by:
    `getDirName` in interface `SolutionDao`

### getDataDir

    public File getDataDir()

  Specified by:
    `getDataDir` in interface `SolutionDao`

### getFileSuffix

    public String getFileSuffix()

  Specified by:
    `getFileSuffix` in interface `SolutionDao`

### readSolution

    public Solution readSolution(File inputSolutionFile)

  Specified by:
    `readSolution` in interface `SolutionDao`

### postRead

    protected void postRead(Solution solution)

### writeSolution

    public void writeSolution(Solution solution,
                              File outputSolutionFile)

  Specified by:
    `writeSolution` in interface `SolutionDao`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.